Skip to main content
POST
Change Subscription Due Day

Endpoint Overview

POST https://api.unibee.dev/merchant/subscription/change_due_day Change subscription due day

Authorization

All UniBee Merchant API requests require authentication via API key.

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body


Request examples

cURL

Sandbox


Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success. The response schema for this endpoint is shown below.

Error handling

When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Change subscription due day

dueDay
integer<int64>
required

DueDay, UTC timestamp, seconds

subscriptionId
string<string>
required

SubscriptionId

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>